Fork me on GitHub"

# skbio.sequence.DNA.has_degenerates

DNA.has_degenerates()

  Determine if sequence contains one or more degenerate characters.

  State: Stable as of 0.4.0.

  Returns

    Indicates whether there are one or more occurrences of degenerate characters in the biological sequence.

  Return type

    bool

  See also

  `degenerates`, `definites`, `has_definites`

  Examples

      >>> from skbio import DNA
      >>> s = DNA('ACAC-GACGTT')
      >>> s.has_degenerates()
      False
      >>> t = DNA('ANCACWWGACGTT')
      >>> t.has_degenerates()
      True